"""create table for bounty_characters

Revision ID: 2b4c5d6e7f8a
Revises: 0001
Create Date: 2023-05-23 15:52:24.890279

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2b4c5d6e7f8a'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'bounty_characters',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('bounty', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_bounty_characters_name', 'name', unique=True)
    )


def downgrade():
    op.drop_table('bounty_characters')