from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.bounty_character import BountyCharacterCreate, BountyCharacterSchema
from helpers.bounty_character_helpers import create_bounty_character

router = APIRouter()

@router.post("/one-piece", status_code=201, response_model=BountyCharacterSchema)
async def create_bounty_character_endpoint(
    character_data: BountyCharacterCreate,
    db: Session = Depends(get_db)
):
    new_character = create_bounty_character(db, character_data)
    return new_character